- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# dladm_linkprop – Manage link properties on Solaris/illumos systems

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Set / reset link properties on Solaris/illumos systems.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
link - / required |  | Link interface name. aliases: nic, interface
property - / required |  | Specifies the name of the property we want to manage. aliases: name
state - | Choices: present ← absent reset | Set or reset the property value.
temporary boolean | Choices: no ← yes | Specifies that lin property configuration is temporary. Temporary link property configuration does not persist across reboots.
value - |  | Specifies the value we want to set for the link property.

## Examples

    - name: Set 'maxbw' to 100M on e1000g1
      dladm_linkprop: name=e1000g1 property=maxbw value=100M state=present

    - name: Set 'mtu' to 9000 on e1000g1
      dladm_linkprop: name=e1000g1 property=mtu value=9000

    - name: Reset 'mtu' property on e1000g1
      dladm_linkprop: name=e1000g1 property=mtu state=reset

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
link string | always | link name Sample: e100g0
property string | always | property name Sample: mtu
state string | always | state of the target Sample: present
temporary boolean | always | specifies if operation will persist across reboots Sample: True
value string | always | property value Sample: 9000

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Adam Števko (@xen0l)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.